Uploaded image for project: 'TrueNAS'
  1. TrueNAS
  2. NAS-109519

Cannot join Active Directory in TrueNAS-12.1-MASTER-202102080538

    XMLWordPrintable

    Details

    • Impact:
      Critical

      Description

      No, NAS-109386 is not fixed.

      Trying to join domain with latest build/updates, still the same issue:

      I have another FreeNAS-11.3-U5 on the network, joining the domain works without problem...

       

      Error: Traceback (most recent call last):
        File "/usr/local/lib/python3.8/site-packages/middlewared/plugins/activedirectory.py", line 849, in conn_check
          ret = ActiveDirectory_Conn(conf=data, logger=self.logger).conn_check(dc)
        File "/usr/local/lib/python3.8/site-packages/middlewared/plugins/activedirectory.py", line 227, in conn_check
          netlogon.netlogon(
      samba.NTSTATUSError: (3221225485, 'An invalid parameter was passed to a service or function.')

      During handling of the above exception, another exception occurred:

      Traceback (most recent call last):
        File "/usr/local/lib/python3.8/site-packages/middlewared/plugins/activedirectory.py", line 519, in do_update
          await self.middleware.run_in_thread(self.validate_domain, new)
        File "/usr/local/lib/python3.8/site-packages/middlewared/utils/run_in_thread.py", line 10, in run_in_thread
          return await self.loop.run_in_executor(self.run_in_thread_executor, functools.partial(method, *args, **kwargs))
        File "/usr/local/lib/python3.8/site-packages/middlewared/utils/io_thread_pool_executor.py", line 25, in run
          result = self.fn(*self.args, **self.kwargs)
        File "/usr/local/lib/python3.8/site-packages/middlewared/plugins/activedirectory.py", line 807, in validate_domain
          self.conn_check(data)
        File "/usr/local/lib/python3.8/site-packages/middlewared/plugins/activedirectory.py", line 859, in conn_check
          raise CallError(f"Netlogon connection to [{dc}] failed with error: {e.args[1]}")
      middlewared.service_exception.CallError: [EFAULT] Netlogon connection to [adsec.uhajicku.net] failed with error: An invalid parameter was passed to a service or function.

      During handling of the above exception, another exception occurred:

      Traceback (most recent call last):
        File "/usr/local/lib/python3.8/site-packages/middlewared/main.py", line 137, in call_method
          result = await self.middleware._call(message['method'], serviceobj, methodobj, params, app=self,
        File "/usr/local/lib/python3.8/site-packages/middlewared/main.py", line 1195, in _call
          return await methodobj(*prepared_call.args)
        File "/usr/local/lib/python3.8/site-packages/middlewared/service.py", line 358, in update
          rv = await self.middleware._call(
        File "/usr/local/lib/python3.8/site-packages/middlewared/main.py", line 1195, in _call
          return await methodobj(*prepared_call.args)
        File "/usr/local/lib/python3.8/site-packages/middlewared/schema.py", line 973, in nf
          return await f(*args, **kwargs)
        File "/usr/local/lib/python3.8/site-packages/middlewared/plugins/activedirectory.py", line 524, in do_update
          raise ValidationError(
      middlewared.service_exception.ValidationError: [EFAULT] activedirectory_update: Failed to validate domain configuration: [EFAULT] Netlogon connection to [adsec.uhajicku.net] failed with error: An invalid parameter was passed to a service or function.
       

        Attachments

          Attachments

            JEditor

              Activity

                People

                Assignee:
                releng Triage Team
                Reporter:
                radek673@gmail.com Radek Matejka
                Watchers:
                Andrew Walker, Radek Matejka, William Grzybowski
                Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                  Dates

                  Created:
                  Updated:
                  Resolved: